Change log for bzip2 package in Ubuntu

159 of 59 results
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-08-28
Deleted in cosmic-proposed (Reason: moved to release)
bzip2 (1.0.6-9) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * debian/control: use secure Vcs- urls.
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Add 40-bzdiff-l.patch: bzdiff properly passes -I option to diff.
    Patch from Ubuntu.

  [ Nicolas Boulenguez ]
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
    Remove duplicate Section: and Priority:.
  * Refresh patches without all timestamp noise.
  * Document some patches.
  * Add basic runtime test.
  * Split bzdiff-tmpdir-spaces.diff out of 20-legacy.patch.
  * Split bzip2recover-race-open-output.diff out of 20-legacy.patch.
  * Standards-Version 4.1.4.
  * Generate the manual during build instead of embedding it in a patch.
  * Do not add trailing blank spaces in patches.
  * Split bzexe out of 20-legacy.patch.
    Whether bzexe is suggested upstream or maintained in Debian forever,
    it will be easyer to manage as a normal file than as an upstream patch.
  * Split the patch documenting --help option.
  * Pass -D_REENTRANT via CPPFLAGS instead of a patch.
    The patch only makes upstream handle CPPFLAGS, which may be accepted
    independently of the shared library.
  * Split quoting of XML special characters from 20-legacy.diff.
  * Split the patch building a shared library and handling build flags.
  * Fix split of bzexe, install it to /bin/.
  * Drop Postscript documentation.
    Regeneration of the PS/PDF files fails with interesting messages in
    the LaTeX log. Since Debian policy recommends HTML as the default
    documentation format, and we are able to regenerate this HTML from the
    patched source, it is probably better to provide only this format.

  [ Anthony Fok ]
  * Point Vcs-* URLs to salsa.debian.org.
  * Bump Standards-Version to 4.2.0 (no change).
  * Change Homepage to that archived on web.archive.org because the
    bzip.org domain has expired and may change hands, as reported
    at https://lwn.net/Articles/762264/.  (Closes: #905823)
  * Disable debian/watch as bzip.org has expired and may change hands.
  * Revise bzip2 package description and remove performance comparison
    with other compression software.  (Closes: #636184)
  * Revert to using pristine upstream manual.{html,ps} documentation
    without rebuilding, and install manual.pdf too.
  * Add myself to the list of Uploaders.

 -- Anthony Fok <email address hidden>  Tue, 14 Aug 2018 13:28:22 -0600

Available diffs

Superseded in cosmic-release on 2018-08-28
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
bzip2 (1.0.6-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * bzip2recover: Fix potential use-after-free, Closes: #827744 (CVE-2016-3189)

 -- Ben Hutchings <email address hidden>  Sun, 29 Jan 2017 18:30:31 +0000
Superseded in zesty-release on 2017-04-06
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
bzip2 (1.0.6-8build1) yakkety; urgency=medium

  * No-change re-build to capture -fPIE compiler defaults.

 -- Steve Beattie <email address hidden>  Mon, 02 May 2016 23:59:47 -0700
Superseded in yakkety-release on 2016-05-06
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
bzip2 (1.0.6-8) unstable; urgency=medium

  * Remove Jorge Ernesto Guevara Cuenca from Uploaders, as agreed with him.
  * Drop unused Build-Depends: gcc-multilib. Thanks to Helmut Grohne
    <email address hidden>. Closes: #778640
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Santiago Ruano Rincón <email address hidden>  Tue, 19 May 2015 21:37:20 +0200

Available diffs

Superseded in vivid-release on 2014-11-17
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
bzip2 (1.0.6-5ubuntu5) utopic; urgency=medium

  * No-change rebuild to get debug symbols on all architectures.
 -- Steve Langasek <email address hidden>   Tue, 21 Oct 2014 14:03:11 -0400

Available diffs

Superseded in wily-release on 2015-05-21
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
bzip2 (1.0.6-7) unstable; urgency=medium


  * d/control: Remove useless lib{32,64}bz2* transition fields
    (Conflicts/Replaces/Provides).

 -- Santiago Ruano Rincón <email address hidden>  Thu, 31 Jul 2014 17:02:25 +0200
Superseded in utopic-release on 2014-10-22
Deleted in utopic-proposed on 2014-10-23 (Reason: moved to release)
bzip2 (1.0.6-5ubuntu4) utopic; urgency=medium

  * And fix a build failure now caused by not installing the 64-bit .so
    symlink properly.
 -- Steve Langasek <email address hidden>   Wed, 09 Jul 2014 19:54:45 -0700
Superseded in utopic-proposed on 2014-07-10
bzip2 (1.0.6-5ubuntu3) utopic; urgency=medium

  * Really, really add the missing file.
 -- Steve Langasek <email address hidden>   Thu, 10 Jul 2014 02:48:47 +0000

Available diffs

Superseded in utopic-proposed on 2014-07-10
bzip2 (1.0.6-5ubuntu2) utopic; urgency=medium

  * Add accidentally overlooked lib64bz2-dev.install file, fixing FTBFS
    on 32-bit multilib architectures
 -- Steve Langasek <email address hidden>   Wed, 09 Jul 2014 19:38:04 -0700

Available diffs

Superseded in utopic-proposed on 2014-07-10
bzip2 (1.0.6-5ubuntu1) utopic; urgency=medium

  * Perform surgery on the packaging with a baseball bat, converting it
    to dh(1) so that dbgsyms packages work.
  * Drop obsolete maintainer script which hasn't been needed for a decade.
  * Fix dependencies of lib32bz2-dev on ppc64 (dev:Depends, not
    shlibs:Depends)
  * Refactor the build targets so that we can move texinfo to
    Build-Depends-Indep.
 -- Steve Langasek <email address hidden>   Thu, 10 Jul 2014 02:08:44 +0000
Superseded in utopic-release on 2014-07-10
Published in trusty-release on 2013-10-21
Deleted in trusty-proposed (Reason: moved to release)
bzip2 (1.0.6-5) unstable; urgency=low


  * Adding watch file
  * Updating rules clean rule.
  * Updating Standars-Version to 3.9.4. No changes needed.
  * Don't drink and upload release. Thanks to bubulle, habanero and 
    all the Cheese and Wine orga team.

 -- Santiago Ruano Rincón <email address hidden>  Tue, 13 Aug 2013 00:07:30 +0200

Available diffs

Superseded in trusty-release on 2013-10-21
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
bzip2 (1.0.6-4) unstable; urgency=low


  * Updating 30-bzip2-harden.patch, hardening LDFLAGS was missing for
    libbz2.so. Thanks to Simon Ruderich. Closes: #655164

 -- Santiago Ruano Rincón <email address hidden>  Fri, 27 Jul 2012 16:14:34 +0200

Available diffs

Superseded in quantal-release on 2012-08-03
bzip2 (1.0.6-3) unstable; urgency=low


  * Bumped bzip2 priority from optional to standard. Closes: #642657

 -- Santiago Ruano Rincón <email address hidden>  Fri, 08 Jun 2012 01:50:04 +0200

Available diffs

Superseded in quantal-release on 2012-06-08
bzip2 (1.0.6-2) unstable; urgency=low


  * Added 10-bzip2.1.patch to remove wrong black spaces in man page.
    Thanks to Bjarni Ingi Gislason. Closes: #675380
  * 30-bzip2-harden.patch to enable hardened build flags. Thanks to
    Moritz Muehlenhoff. Closes: #655164 

 -- Santiago Ruano Rincón <email address hidden>  Sun, 03 Jun 2012 12:02:05 +0200

Available diffs

Obsolete in oneiric-updates on 2015-04-24
Obsolete in oneiric-security on 2015-04-24
bzip2 (1.0.5-6ubuntu1.11.10.1) oneiric-security; urgency=low

  * SECURITY UPDATE: Fix temporary file creation race condition
    - bzexe: Ensure link target is a regular file. Patch from vladz.
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632862#5
    - CVE-2011-4089
 -- Tyler Hicks <email address hidden>   Mon, 12 Dec 2011 11:32:00 -0600
Obsolete in natty-updates on 2013-06-04
Obsolete in natty-security on 2013-06-04
bzip2 (1.0.5-6ubuntu1.11.04.1) natty-security; urgency=low

  * SECURITY UPDATE: Fix temporary file creation race condition
    - bzexe: Ensure link target is a regular file. Patch from vladz.
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632862#5
    - CVE-2011-4089
 -- Tyler Hicks <email address hidden>   Mon, 12 Dec 2011 11:32:00 -0600
Obsolete in hardy-updates on 2015-04-24
Obsolete in hardy-security on 2015-04-24
bzip2 (1.0.4-2ubuntu4.2) hardy-security; urgency=low

  * SECURITY UPDATE: Fix temporary file creation race condition
    - bzexe: Ensure link target is a regular file. Patch from vladz.
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632862#5
    - CVE-2011-4089
 -- Tyler Hicks <email address hidden>   Mon, 12 Dec 2011 11:32:00 -0600
Obsolete in lucid-updates on 2016-10-26
Obsolete in lucid-security on 2016-10-26
bzip2 (1.0.5-4ubuntu0.2) lucid-security; urgency=low

  * SECURITY UPDATE: Fix temporary file creation race condition
    - bzexe: Ensure link target is a regular file. Patch from vladz.
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632862#5
    - CVE-2011-4089
 -- Tyler Hicks <email address hidden>   Mon, 12 Dec 2011 11:32:00 -0600
Obsolete in maverick-updates on 2013-03-05
Obsolete in maverick-security on 2013-03-05
bzip2 (1.0.5-4ubuntu1.1) maverick-security; urgency=low

  * SECURITY UPDATE: Fix temporary file creation race condition
    - bzexe: Ensure link target is a regular file. Patch from vladz.
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632862#5
    - CVE-2011-4089
 -- Tyler Hicks <email address hidden>   Mon, 12 Dec 2011 11:32:00 -0600

Available diffs

Superseded in quantal-release on 2012-06-04
Published in precise-release on 2011-12-15
bzip2 (1.0.6-1) unstable; urgency=low


  * New upstream version 1.0.6
  * Debian source format is 3.0 (quilt)
  * Fix "insecure temporary file creation (bzexe)"
    Patch by vladz
    Closes: 632862
  * Compress changelogs with the -n option
    Closes: 646972
  * Update debian/copyright
    Closes: 619797

 -- Anibal Monsalve Salazar <email address hidden>  Sun, 04 Dec 2011 19:51:51 +1100

Available diffs

Superseded in precise-release on 2011-12-15
bzip2 (1.0.5-7) unstable; urgency=low


  [ Riku Voipio ]
  * multiarchize, closes: #528143
  * from Colin watson: 
    lib32bz2-1.0 only pre-depends on libc6-i386 on amd64; that
    pre-dependency is nonsensical on ppc64.

  [ Anibal Monsalve Salazar ]
  * Standards-Version is 3.9.2
  * Fix debian-rules-missing-recommended-target
  * Fix maintainer-script-empty
  * Fix copyright-refers-to-versionless-license-file
  * Fix info-document-missing-dir-section
  * Fix missing-dependency-on-install-info
  * Fix prerm-has-useless-call-to-install-docs
  * Fix install-info-used-in-maintainer-script

 -- Anibal Monsalve Salazar <email address hidden>  Sun, 04 Sep 2011 14:36:41 +1000
Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
bzip2 (1.0.5-6ubuntu1) natty; urgency=low

  * lib32bz2-1.0 only pre-depends on libc6-i386 on amd64; that
    pre-dependency is nonsensical on ppc64.
 -- Colin Watson <email address hidden>   Sun, 20 Feb 2011 15:55:37 +0000

Available diffs

Superseded in natty-release on 2011-02-20
bzip2 (1.0.5-6) unstable; urgency=high

  * Fix integer overflow 
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-0405
    http://www.debian.org/security/2010/dsa-2112
    Closes: 597585

Superseded in natty-release on 2010-10-22
Obsolete in maverick-release on 2013-03-05
bzip2 (1.0.5-4ubuntu1) maverick; urgency=low

  * SECURITY UPDATE: fix integer overflow in BZ2_decompress()
    - decompress.c: return error if N is larger than 2*1024^2 which keeps es
      from overflowing but leaves enough room for the 900k maximum value of
      the RUNA/RUNB encoding
    - patch from upstream
    - CVE-2010-0405
 -- Jamie Strandboge <email address hidden>   Thu, 09 Sep 2010 08:44:45 -0500
Superseded in lucid-updates on 2011-12-14
Superseded in lucid-security on 2011-12-14
bzip2 (1.0.5-4ubuntu0.1) lucid-security; urgency=low

  * SECURITY UPDATE: fix integer overflow in BZ2_decompress()
    - decompress.c: return error if N is larger than 2*1024^2 which keeps es
      from overflowing but leaves enough room for the 900k maximum value of
      the RUNA/RUNB encoding
    - patch from upstream
    - CVE-2010-0405
 -- Jamie Strandboge <email address hidden>   Thu, 09 Sep 2010 10:15:30 -0500
Obsolete in karmic-updates on 2013-03-04
Obsolete in karmic-security on 2013-03-04
bzip2 (1.0.5-3ubuntu0.1) karmic-security; urgency=low

  * SECURITY UPDATE: fix integer overflow in BZ2_decompress()
    - decompress.c: return error if N is larger than 2*1024^2 which keeps es
      from overflowing but leaves enough room for the 900k maximum value of
      the RUNA/RUNB encoding
    - patch from upstream
    - CVE-2010-0405
 -- Jamie Strandboge <email address hidden>   Thu, 09 Sep 2010 10:16:11 -0500
Obsolete in jaunty-updates on 2013-02-28
Obsolete in jaunty-security on 2013-02-28
bzip2 (1.0.5-1ubuntu1.1) jaunty-security; urgency=low

  * SECURITY UPDATE: fix integer overflow in BZ2_decompress()
    - decompress.c: return error if N is larger than 2*1024^2 which keeps es
      from overflowing but leaves enough room for the 900k maximum value of
      the RUNA/RUNB encoding
    - patch from upstream
    - CVE-2010-0405
 -- Jamie Strandboge <email address hidden>   Thu, 09 Sep 2010 10:16:51 -0500
Superseded in hardy-updates on 2011-12-14
Superseded in hardy-security on 2011-12-14
bzip2 (1.0.4-2ubuntu4.1) hardy-security; urgency=low

  * SECURITY UPDATE: fix integer overflow in BZ2_decompress()
    - decompress.c: return error if N is larger than 2*1024^2 which keeps es
      from overflowing but leaves enough room for the 900k maximum value of
      the RUNA/RUNB encoding
    - patch from upstream
    - CVE-2010-0405
 -- Jamie Strandboge <email address hidden>   Thu, 09 Sep 2010 10:17:24 -0500
Obsolete in dapper-updates on 2011-09-06
Obsolete in dapper-security on 2011-09-06
bzip2 (1.0.3-0ubuntu2.2) dapper-security; urgency=low

  * SECURITY UPDATE: fix integer overflow in BZ2_decompress()
    - decompress.c: return error if N is larger than 2*1024^2 which keeps es
      from overflowing but leaves enough room for the 900k maximum value of
      the RUNA/RUNB encoding
    - patch from upstream
    - CVE-2010-0405
 -- Jamie Strandboge <email address hidden>   Thu, 09 Sep 2010 10:18:04 -0500
Superseded in maverick-release on 2010-09-20
Obsolete in lucid-release on 2016-10-26
bzip2 (1.0.5-4) unstable; urgency=low

  [Jorge Ernesto Guevara Cuenca]
  * New co-maintainer. Jorge Ernesto Guevara Cuenca <email address hidden> 
  * Add -h and --help options to the manual page (Closes: 517257)

  [Santiago Ruano Rincón]
  * Move DEBIAN/md5sums to a macro and rewrite to be more robust using find | 
    xargs and to drop the broken chmod calls. Thank to Loïc Minier from
    Ubuntu. (Closes: #565393)
 -- Bhavani Shankar <email address hidden>   Mon,  08 Feb 2010 10:23:49 +0000

Available diffs

Superseded in lucid-release on 2010-02-08
bzip2 (1.0.5-3ubuntu1) lucid; urgency=low

  * Move DEBIAN/md5sums to a macro and rewrite to be more robust using find |
    xargs and to drop the broken chmod calls.
  * Add md5sums for lib64, dev64, lib32, and dev32 packages; Debian #484342.
 -- Loic Minier <email address hidden>   Fri, 15 Jan 2010 13:03:38 +0100

Available diffs

Superseded in lucid-release on 2010-01-15
Obsolete in karmic-release on 2013-03-04
bzip2 (1.0.5-3) unstable; urgency=low

  [ Santiago Ruano Rincón ]
  * Add md5sums files. (Closes: #484342)
  * Update debian/copyright.

  [ Anibal Monsalve Salazar ]
  * Merge from Ubuntu
  * Install into /usr/lib32 as /emul/ia32-linux is deprecated
    lib32bz2-1.0 pre-depends on libc6-i386 (>= 2.9-18)
    Closes: #533007

 -- Michael Vogt <email address hidden>   Mon,  29 Jun 2009 23:01:22 +0100

Available diffs

Superseded in karmic-release on 2009-06-30
bzip2 (1.0.5-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: install to /usr/lib32 on amd64

Available diffs

Superseded in karmic-release on 2009-06-15
Obsolete in jaunty-release on 2013-02-28
bzip2 (1.0.5-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: install to /usr/lib32 on amd64

Superseded in jaunty-release on 2008-11-10
Obsolete in intrepid-release on 2013-02-20
bzip2 (1.0.5-0.1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: install to /usr/lib32 on amd64

Obsolete in gutsy-updates on 2011-09-16
Obsolete in gutsy-security on 2011-09-16
bzip2 (1.0.4-0ubuntu2.1) gutsy-security; urgency=low

  * SECURITY UPDATE: denial of service via heap memory corruption.
  * bzlib.c, bzlib_private.h: upstream patch from 1.0.5 applied inline.
  * References
    CVE-2008-1372

 -- Kees Cook <email address hidden>   Wed, 19 Mar 2008 13:11:42 -0700
Obsolete in feisty-updates on 2009-08-20
Obsolete in feisty-security on 2009-08-20
bzip2 (1.0.3-6ubuntu0.1) feisty-security; urgency=low

  * SECURITY UPDATE: denial of service via heap memory corruption.
  * bzlib.c, bzlib_private.h: upstream patch from 1.0.5 applied inline.
  * References
    CVE-2008-1372

 -- Kees Cook <email address hidden>   Wed, 19 Mar 2008 13:11:42 -0700
Obsolete in edgy-updates on 2008-06-19
Obsolete in edgy-security on 2008-06-19
bzip2 (1.0.3-3ubuntu0.1) edgy-security; urgency=low

  * SECURITY UPDATE: denial of service via heap memory corruption.
  * bzlib.c, bzlib_private.h: upstream patch from 1.0.5 applied inline.
  * References
    CVE-2008-1372

 -- Kees Cook <email address hidden>   Wed, 19 Mar 2008 13:11:42 -0700
Superseded in dapper-updates on 2010-09-20
Superseded in dapper-security on 2010-09-20
bzip2 (1.0.3-0ubuntu2.1) dapper-security; urgency=low

  * SECURITY UPDATE: denial of service via heap memory corruption.
  * bzlib.c, bzlib_private.h: upstream patch from 1.0.5 applied inline.
  * References
    CVE-2008-1372

 -- Kees Cook <email address hidden>   Wed, 19 Mar 2008 13:11:42 -0700
Superseded in intrepid-release on 2008-06-23
Obsolete in hardy-release on 2015-04-24
bzip2 (1.0.4-2ubuntu4) hardy; urgency=low

  * SECURITY UPDATE: denial of service via heap memory corruption.
  * bzlib.c, bzlib_private.h: upstream patch from 1.0.5 applied inline.
  * References
    CVE-2008-1372

 -- Kees Cook <email address hidden>   Wed, 19 Mar 2008 13:11:42 -0700
Superseded in hardy-release on 2008-03-21
bzip2 (1.0.4-2ubuntu3) hardy; urgency=low

  * rebuild to regenerate bzip2.info (LP: #187946)

 -- Michael Vogt <email address hidden>   Fri, 14 Mar 2008 19:30:36 +0100
Superseded in hardy-release on 2008-03-14
bzip2 (1.0.4-2ubuntu2) hardy; urgency=low

  * debian/rules: don't try to chmod dangling symlinks in the binary
    target, since coreutils now throws an error in this case.  LP: #194449.

 -- Steve Langasek <email address hidden>   Sun, 24 Feb 2008 05:27:49 +0000
Superseded in hardy-release on 2008-02-24
bzip2 (1.0.4-2ubuntu1) hardy; urgency=low

  * lib32bz2-*: Install into /usr/lib32, instead of /emul; change incorrectly
    dropped in last sync.
  * Set Ubuntu maintainer address.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Steve Langasek <email address hidden>   Mon, 07 Jan 2008 13:24:41 -0800
Superseded in hardy-release on 2008-01-07
bzip2 (1.0.4-2) unstable; urgency=low

  * lib32bz2-*: install into /emul/ia32-linux. Closes: #458853
  * bzexe: correct path is /bin/bzip2. Closes: #418532
  * debian/copyright: provide a copyright file in source package.
    Closes: #381230

Superseded in hardy-release on 2008-01-07
Obsolete in gutsy-release on 2011-09-16
bzip2 (1.0.4-0ubuntu2) gutsy; urgency=low

  * Move the user manual in texinfo and ps format into bzip2-doc.

 -- Matthias Klose <email address hidden>   Fri, 05 Oct 2007 14:05:39 +0200
Superseded in gutsy-release on 2007-10-05
bzip2 (1.0.4-0ubuntu1) gutsy; urgency=low

  * New upstream version.
    - Fix file permissions race problem (CAN-2005-0953).
    - Sanitise file names more carefully in bzgrep.  Fixes CAN-2005-0758
      to the extent that applies to bzgrep.
  * lib32bz2-*: Install into /usr/lib32, instead of /emul.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Tue,  3 Jul 2007 12:35:47 +0200
Superseded in gutsy-release on 2007-07-03
bzip2 (1.0.3-7) unstable; urgency=low

  * Updated Build-depends, added gcc-multilib to fix FTBFS. Thanks to 
    "brian m. carlson" <email address hidden>. (Closes: #422380)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  22 May 2007 08:21:44 +0100
Superseded in gutsy-release on 2007-05-22
Obsolete in feisty-release on 2009-08-20
bzip2 (1.0.3-6build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <email address hidden>   Mon,  5 Mar 2007 01:13:34 +0000
Superseded in feisty-release on 2007-03-05
bzip2 (1.0.3-6) unstable; urgency=low

  * Fixed ppc64 Build-Depends, added Build-Depends on 'libc6-dev-powerpc
    [ppc64]' in control. Patch by Andreas Jochens <email address hidden>. (Closes: #384610)

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
bzip2 (1.0.3-3) unstable; urgency=low

  * Updated co-maintainer mail address.
  * Set Standards-Version to 3.7.2.
  * Fixed "bzip2: Bug in bzgrep, with fix", closes: #374168.
  * Fixed "Superfluous symlinks in /usr", closes: #375285.
  * Fixed lintian doc-base-file-unknown-format message.
  * Synchronise with Ubuntu.
    - Fixed "build dependency ia32-libs-dev [amd64] -> libc6-dev-i386
      [amd64]", closes: #357271.

 -- Martin Pitt <email address hidden>   Thu,  06 Jul 2006 10:11:33 +0100
Superseded in edgy-release on 2006-07-06
bzip2 (1.0.3-2ubuntu1) edgy; urgency=low

  * Synchronize to Debian; apply the remaining Ubuntu changes to pristine
    Debian version, since the current diffs were way too messy.
  * debian/rules:
    - Enable 32 bit libraries on amd64.
    - Do not use ia32-libs as alternative shlibs.
  * debian/control: Drop alternate build-dep on ia32-libs-dev.

Superseded in edgy-release on 2006-06-28
Obsolete in dapper-release on 2011-09-06
bzip2 (1.0.3-0ubuntu2) dapper; urgency=low

  * Don't use ia32-libs* (build-) dependencies anymore.

 -- Matthias Klose <email address hidden>   Thu, 16 Mar 2006 13:49:36 +0000
Superseded in dapper-release on 2006-03-16
Superseded in dapper-release on 2006-02-03
bzip2 (1.0.3-0ubuntu1) dapper; urgency=low


  * New upstream version.
  * Synchronise with Debian unstable.

 -- Matthias Klose <email address hidden>  Sat, 31 Dec 2005 00:59:50 +0100
Superseded in dapper-release on 2006-01-31
bzip2 (1.0.2-10ubuntu1) dapper; urgency=low


  * Resynchronise with Debian.
    - Still generate 64 bit packages

 -- Tollef Fog Heen <email address hidden>  Thu, 10 Nov 2005 15:21:50 +0100
Obsolete in breezy-release on 2008-03-25
bzip2 (1.0.2-7ubuntu2) breezy; urgency=low


  * Build 64bit packages to replace amd64-libs.
  * Build 32bit packages on amd64 (currently disabled).

 -- Matthias Klose <email address hidden>  Fri, 12 Aug 2005 16:39:17 +0200
Obsolete in hoary-security on 2008-03-19
bzip2 (1.0.2-2ubuntu0.2) hoary-security; urgency=low


  * SECURITY UPDATE: Fix shell command injection.
  * bzgrep: Properly quote characters that can break out of the generated sed
    command, in analogy to the recent zgrep fix.
  * CAN-2005-0758

 -- Martin Pitt <email address hidden>  Thu,  4 Aug 2005 16:57:08 +0000
Obsolete in hoary-release on 2008-03-19
bzip2 (1.0.2-2) unstable; urgency=high


  * New maintainer.
  * Updated package to Policy 3.6.1.1.
  * The package description does not follow Debian policy
    (Closes: #209811, #210074).

 -- Anibal Monsalve Salazar <email address hidden>  Wed, 27 Oct 2004 06:35:59 +1000
Obsolete in warty-security on 2008-01-09
bzip2 (1.0.2-1ubuntu0.2) warty-security; urgency=low


  * SECURITY UPDATE: Fix shell command injection.
  * bzgrep: Properly quote characters that can break out of the generated sed
    command, in analogy to the recent zgrep fix.
  * CAN-2005-0758

 -- Martin Pitt <email address hidden>  Thu,  4 Aug 2005 16:54:38 +0000
Obsolete in warty-release on 2008-01-09
bzip2 (1.0.2-1) unstable; urgency=low


  * New upstream version; closes: #132318. Most of our patches merged
    upstream.
  * Generate copyright automatically from debian/rules.

 -- Philippe Troin <email address hidden>  Wed,  6 Feb 2002 19:23:15 -0800
159 of 59 results